<?php
require_once ASG_APPLICATION_PATH . '/controllers/Abstract/Action.php';

class Asg_Controller_TemplateController
    extends Asg_Controller_Abstract_Action
{
    public function indexAction()
    {
        $vars = Asg_WpPlugin::getPostTemplateVars();
        if (!Asg_Application::getModel('Template')->prepareTemplateVars($vars)) {
            echo $vars['content'];
            $this->setViewScript(NULL);
            return;
        }

        foreach ($vars as $key=>$val) {
            $this->_view->$key = $val;
        }

        $this->_view->meta = Asg_Application::getModel('PostMeta')
            ->setPostId($vars['post_id']);

        $this->setViewScript('post.php');
    }

    protected function _getViewScriptPath()
    {
        return Asg_WpPlugin::getPluginPath() . '/template';
    }
}