<?php
require_once ASG_APPLICATION_PATH . '/services/Affiliate/Helper.php';

class Asg_Service_Affiliate_Helper_Http
    extends Asg_Service_Affiliate_Helper
{
    static public function isSingleton()
    {
        return FALSE;
    }

    public function getClient()
    {
        // Create HTTP client
        require_once ASG_LIBRARY_PATH . '/AsgZend/Http/Client.php';
        $result = new AsgZend_Http_Client;
        // Set cURL adapter if cURL extension loaded:
        if (extension_loaded('curl')) {
            require_once ASG_LIBRARY_PATH . '/AsgZend/Http/Client/Adapter/Curl.php';
            $result->setAdapter(new AsgZend_Http_Client_Adapter_Curl);
        }

        $result->setConfig($this->getOption('http_client_config'));

        return $result;
    }
}