<?php
require_once ASG_APPLICATION_PATH . '/services/AbstractService.php';

abstract class Asg_Service_Affiliate_Plugin
    extends Asg_Service_AbstractService
{
    public function __construct()
    {
        $this->init();
    }

    public function init()
    {
        //Extensions
    }

    /**
    * @returns Asg_Service_Affiliate
    */
    public function getMainService()
    {
        return Asg_Application::getService('Affiliate');
    }

    public function getOption($key)
    {
        return $this->getMainService()->getOption($key);
    }

    public function hasOption($key)
    {
        return $this->getMainService()->hasOption($key);
    }

    protected function throwError($message, $type='')
    {
        return $this->getMainService()->throwError($message, $type);
    }

    public function getHelper($name)
    {
        return $this->getMainService()->getHelper($name);
    }

    public function feedback($message='')
    {
        return $this->getMainService()->feedback($message);
    }
}
