/**
* Associate Goliath options page JS script
*/

"use strict";

jQuery(function($) {
    $('.show_reviews_rev2-option').click(function() {
        if ('embed' == $(this).val()) {
            $('#min_review_rating').removeAttr('disabled');
        } else {
            $('#min_review_rating').attr('disabled', 'disabled');
        }
    });

    $('#cloak_enabled').click(function() {
        $('#cloak_dir').toggleClass('disabled', 'checked' != $(this).attr('checked'));
    });
    $('#cloak_dir').focus(function() {
        $('#cloak_enabled').attr('checked', 'checked').triggerHandler('click');
    });

    $('#addtocart_visible').click(function() {
        if ($(this).is(':checked') != $('#addtocart_settings-container').is(':visible')) {
            $('#addtocart_settings-container').slideToggle();
        }
    });
    $('#viewonamazon_visible').click(function() {
        if ($(this).is(':checked') != $('#viewonamazon_settings-container').is(':visible')) {
            $('#viewonamazon_settings-container').slideToggle();
        }
    });
});