<?php
class Asg_Service_Linker
{
    public function redirect($path)
    {
        if (headers_sent($file, $line)) {
            exit("Error: Headers already sent. Output started at {$file}:{$line}");
        }

        $url = Asg_Application::getModel('Amazon_Links')->decloakPath($path);
        if ('' == $url) {
            return;
        }

        header('Location: ' . $url, TRUE, 302);
        $encodedUrl = htmlspecialchars($url, ENT_QUOTES, 'utf-8');
echo
"<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">
<html>
<head>
    <script type=\"text/javascript\">
    /* <![CDATA[ */
        window.location=\"{$url}\";
    /* ]]> */
    </script>
    <title>Redirect</title>
    <meta http-equiv=\"REFRESH\" content=\"0;url={$encodedUrl}\">
    <meta name=\"ROBOTS\" content=\"NOINDEX, NOFOLLOW\">
</head>
<body>
    Redirected to {$encodedUrl}.<br />
    <a href=\"{$encodedUrl}\">Click here</a> if your browser doesn't support redirection.
</body>
</html>";
        exit();
    }
}