jQuery(function($) {
    function asg_hideHelpTooltip()
    {
        $('.asg-help-block').hide();
        $('#asg-help-bkg').hide();
    }

    function asg_showHelpTooltip(identifier)
    {
        asg_hideHelpTooltip();
        $('#asg-help-bkg').show();
        $('#asg-help-block-' + identifier).slideDown('fast');
    }

    $('.asg-help-link').click(function() {
        asg_showHelpTooltip($(this).attr('data-identifier'));
        return false;
    });

    $('#asg-help-bkg, .asg-help-close').click(function() {
        asg_hideHelpTooltip();
        return false;
    });
});