<?php
/**
* GeoIP library wrapper
*/
require_once 'AsgPumka/GeoIp/Query.php';

class AsgPumka_GeoIp
{
    public function recognizeCountryCode($address=NULL)
    {
        if (is_null($address)) {
            $address = $_SERVER['REMOTE_ADDR'];
        }

        $data = AsgPumka_GeoIp_Query::LookupIP($address);

        return isset($data['cc'])? $data['cc'] : NULL;
    }
}